\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*} 
y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times I_m \sin{(\omega_c t)} \sin{(\omega_m t)}
\end{align*}

\end{document}